export type WalkthroughData = Awaited<ReturnType<typeof getWalkthroughData>>;
export declare function getWalkthroughData(walkthroughId: string): Promise<{
    walkthrough: {
        id: string;
        workspaceName: string;
        draftVersion: {
            title: string;
            createdAt: string;
            description: string;
            author: {
                name: string | null;
                id: string;
            };
            updatedAt: string;
        };
        publishedVersion: ({
            title: string;
            createdAt: string;
            description: string;
            author: {
                name: string | null;
                id: string;
            };
            updatedAt: string;
        } & {
            slug: string;
        }) | null;
        createdAt: string;
    };
    publishedBlocks: (({
        type: "annotation";
        id: string;
        content: string;
        walkthroughId: string;
        walkthroughVersionType: "draft" | "published";
        codeFileId: string;
        from: number;
        to: number;
    } & {
        createdAt: string;
    }) | ({
        type: "divider";
        id: string;
        content: string;
        walkthroughId: string;
        walkthroughVersionType: "draft" | "published";
    } & {
        createdAt: string;
    }) | ({
        type: "note";
        id: string;
        content: string;
        walkthroughId: string;
        walkthroughVersionType: "draft" | "published";
    } & {
        createdAt: string;
    }))[];
    codeFiles: ({
        name: string;
        id: string;
        content: string;
        walkthroughId: string;
        walkthroughVersionType: "draft" | "published";
    } & {
        createdAt: string;
    })[];
}>;
